UpdateTableMigration
Requests a state change for a migration. Identify the migration by its migrationId or by the tableARN of its destination table.
Set requestedState to queued to continue a migration in the pendingReview state; the migration moves to queued or migrating. Set it to cancelled to cancel a migration in the new, planning, pendingReview, queued or migrating state; the migration moves to cancelling, finishes the work in progress, and then ends in the cancelled state, or in the failed state if any objects failed to migrate. Data that the migration already committed stays in the destination table.
- Permissions
-
-
You must have the
s3tables:UpdateTableMigrationpermission to use this operation.
-
Request Syntax
POST /update-table-migration?migrationId=migrationId&tableARN=tableARN HTTP/1.1
Content-type: application/json
{
"requestedState": "string",
"updateDescription": "string"
}
URI Request Parameters
The request uses the following URI parameters.
- migrationId
-
The ID of the migration to update. Specify either
migrationIdortableARN, not both.Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-z0-9-]+ - tableARN
-
The Amazon Resource Name (ARN) of the destination table. Updates the table's most recent migration. Until the migration creates the destination table, specify
migrationId. Specify eithertableARNormigrationId, not both.Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63}/table/[a-zA-Z0-9-_]{1,255})
Request Body
The request accepts the following data in JSON format.
- requestedState
-
The state to move the migration to:
queuedto continue a migration in thependingReviewstate, orcancelledto cancel a migration in thenew,planning,pendingReview,queuedormigratingstate.Type: String
Valid Values:
queued | cancelledRequired: Yes
- updateDescription
-
A description of the update, up to 1,024 characters, with no control characters.
GetTableMigrationdoesn't return it.Type: String
Length Constraints: Minimum length of 0. Maximum length of 1024.
Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"migrationId": "string",
"state": "string",
"tableARN": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- migrationId
-
The ID of the migration.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-z0-9-]+ - state
-
The state of the migration after the update, such as
queued,migratingorcancelling.Type: String
Valid Values:
new | planning | pendingReview | queued | migrating | succeeded | failed | cancelling | cancelled - tableARN
-
The Amazon Resource Name (ARN) of the destination table.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
(arn:aws[-a-z0-9]*:[a-z0-9]+:[-a-z0-9]*:[0-9]{12}:bucket/[a-z0-9_-]{3,63}/table/[a-zA-Z0-9-_]{1,255})
Errors
- AccessDeniedException
-
The action cannot be performed because you do not have the required permission.
HTTP Status Code: 403
- BadRequestException
-
The request is invalid or malformed.
HTTP Status Code: 400
- ConflictException
-
The request failed because there is a conflict with a previous write. You can retry the request.
HTTP Status Code: 409
- ForbiddenException
-
The caller isn't authorized to make the request.
HTTP Status Code: 403
- InternalServerErrorException
-
The request failed due to an internal server error.
HTTP Status Code: 500
- NotFoundException
-
The request was rejected because the specified resource could not be found.
HTTP Status Code: 404
- TooManyRequestsException
-
The limit on the number of requests per second was exceeded.
HTTP Status Code: 429
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: